## org.apache.mahout.text
Class TextParagraphSplittingJob.SplitMap

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>
          org.apache.mahout.text.TextParagraphSplittingJob.SplitMap

Enclosing class:
  TextParagraphSplittingJob

    public static class TextParagraphSplittingJob.SplitMap

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`TextParagraphSplittingJob.SplitMap()`

Method Summary
`protected void` `map(org.apache.hadoop.io.Text key, org.apache.hadoop.io.Text text, org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextParagraphSplittingJob.SplitMap

    public TextParagraphSplittingJob.SplitMap()

Method Detail

### map

    protected void map(org.apache.hadoop.io.Text key,
                       org.apache.hadoop.io.Text text,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.